package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2025-04-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_produce_0422")
public class MoneyProduce0422 implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String materialName;

    /**
     * 0,nf级胆固醇 1,饲料级胆固醇  2,羊毛醇  3,羊毛酸  4,羊毛酸异丙酯  5,其它
     */
    private Integer materialType;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 金额
     */
    private String materialAmount;

    /**
     * 数量
     */
    private String materialQty;

    /**
     * 物料编码
     */
    private Integer materialId;

    private String orgId;

    /**
     * 收货方
     */
    private String freceiverid;


}
